package com.zipcoder.payment;

public class PayPal implements Payment {

    private Long id = 0L;
    private String payerName;
    private String email;

    public PayPal(Long id, String name, String email) {
        this.id = id;
        this.payerName = name;
        this.email = email;

    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public String getPayerName() {
        return payerName;
    }

    @Override
    public String getShortDescription() {
        return "PayPal " + this.payerName + " " + getEmail();
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Override
    public int compareTo(Payment other) {
        return this.getShortDescription().compareTo(other.getShortDescription());
    }
}
