package com.zipcoder.payment;

public class PaymentPresenter {

    PaymentSortByPayer sorter = new PaymentSortByPayer();

    public String toString(Payment[] payments) {

        String output = "";

        if(payments.length > 0) {
            payments = sorter.compareArray(payments);
            for(Payment p: payments) {
                output += p.getShortDescription() + "\n";
            }
        }

        return output.trim();
    }

    public String toStringByPayerName(Payment[] payments) {

        String output = "";

        if(payments.length > 0) {
            payments = sorter.compareArrayByName(payments);
            for(Payment p: payments) {
                output += p.getShortDescription() + "\n";
            }
        }

        return output.trim();
    }

    public String toStringById(Payment[] payments) {

        String output = "";

        if(payments.length > 0) {
            payments = sorter.compareArrayById(payments);
            for(Payment p: payments) {
                output += p.getShortDescription() + "\n";
            }
        }

        return output.trim();
    }
}
