package com.zipcoder.payment;

import java.util.Comparator;

public class PaymentSortByPayer implements Comparator<Payment> {
    @Override
    public int compare(Payment o1, Payment o2) {
        return o1.compareTo(o2);
    }

    public int compareByName(Payment o1, Payment o2) {
        return o1.getPayerName().compareTo(o2.getPayerName());
    }

    public int compareById(Payment o1, Payment o2) {
        return o1.getId().compareTo(o2.getId());
    }

    public Payment[] compareArray(Payment[] payments) {
        for (int i = 0; i < payments.length - 1; i++) {
            for (int j = 0; j < payments.length - 1; j++) {
                if(compare(payments[j], payments[j+1]) > 0) {
                    Payment temp = payments[j];
                    payments[j] = payments[j+1];
                    payments[j+1] = temp;
                }
            }
        }
        return payments;
    }

    public Payment[] compareArrayByName(Payment[] payments) {
        for (int i = 0; i < payments.length - 1; i++) {
            for (int j = 0; j < payments.length - 1; j++) {
                if(compareByName(payments[j], payments[j+1]) > 0) {
                    Payment temp = payments[j];
                    payments[j] = payments[j+1];
                    payments[j+1] = temp;
                }
            }
        }
        return payments;
    }

    public Payment[] compareArrayById(Payment[] payments) {
        for (int i = 0; i < payments.length - 1; i++) {
            for (int j = 0; j < payments.length - 1; j++) {
                if(compareById(payments[j], payments[j+1]) > 0) {
                    Payment temp = payments[j];
                    payments[j] = payments[j+1];
                    payments[j+1] = temp;
                }
            }
        }
        return payments;
    }
}
